Package ru.bitel.bgbilling.kernel.network.dhcp

# Class DhcpProcessor<D extends Idable>

java.lang.Object
ru.bitel.bgbilling.kernel.network.processor.Processor
ru.bitel.bgbilling.kernel.network.dhcp.DhcpProcessor<D>

    public abstract class DhcpProcessor<D extends Idable>
    extends ru.bitel.bgbilling.kernel.network.processor.Processor

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected int` | `mid` |
  `protected java.lang.String` | `module` |
  `int` | `sendFix` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.processor.Processor

  `applicationId, moduleId, setup`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DhcpProcessor​(Setup setup, java.lang.String module, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract void` | `processRequest​(DhcpListenerWorker<D> req, java.net.SocketAddress clientAddress, DhcpPacket request)` |
  `void` | `writeLog​(DhcpListenerWorker<D> req, int[] requestPositions, int[] responsePositions, long now)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### module

    protected final java.lang.String module

  - ### mid

    protected final int mid

  - ### sendFix

    public final int sendFix

- ## Constructor Details

  - ### DhcpProcessor

    public DhcpProcessor​(Setup setup, java.lang.String module, int mid)

- ## Method Details

  - ### processRequest

    public abstract void processRequest​(DhcpListenerWorker<D> req, java.net.SocketAddress clientAddress, DhcpPacket request) throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### writeLog

    public void writeLog​(DhcpListenerWorker<D> req, int[] requestPositions, int[] responsePositions, long now) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`